% ====================================================
%
% SN_Slow_Jump.m Skymaster Jump theory CBP 07-03-20
% CBP 15-03-21 Data
% Revised 05-02-22
%
% ====================================================

% -------------- Put your data here ------------------
%
% Each row is drive period then drive amp
% Some example data is used here
% Data for b = 1, driveAmp = 3;
A = [
4.1 0.297
4.2 0.374
4.3 0.498
4.4 0.64
4.5 0.79
4.6 0.94
4.7 1.08
4.8 1.19
4.9 1.3026
5.0 0.34
5.1 0.28
5.6 0.172
5.9 0.149
];


b = input('Input b');
Ad = input('Input forcing amplitude');

% Slow parameters for Jump Phenomenon
m = 1;
L = 5;
g = 9.8;

om0 = sqrt(g/L)
mu = b/(2*m*L^2)
alpha = -g/(6*L)
f = Ad/(m*L^2)

a = [0.1:0.0001:5.5];

om1 = om0 + 3*alpha*a.^2/(8*om0) + sqrt(f^2./(4*om0^2*a.^2) - mu^2);
om2 = om0 + 3*alpha*a.^2/(8*om0) - sqrt(f^2./(4*om0^2*a.^2) - mu^2);

om3 = om0 + 3*alpha*a.^2/(8*om0);

T1 = 2*pi./om1;
T2 = 2*pi./om2;
T3 = 2*pi./om3;

clf;
axis([0,10,0,2.0]);
hold on;
% plot theoretical curve
plot(T1,a,T2,a,T3,a);
% Now plot data
plot(A(:,1),A(:,2),'o');
hold off;