% ====================================================
%
% SM_Slow_ResTest.m
% CBP 05-02-22
% Manual (non-swept) collection of UE4 (RKF) data on
% the bent resonance curve.
%
% ====================================================

% -------------- Put your data here ------------------
%
% Each row is drive period then drive amp

A = [

4.5   0.796


];


b = 1
Ad = 3
m = 1
L = 5
g = 9.8

om0 = sqrt(g/L)
mu = b/(2*m*L^2)
alpha = -g/(6*L)
f = Ad/(m*L^2)

a = [0.1:0.0001:5.5];

om1 = om0 + 3*alpha*a.^2/(8*om0) + sqrt(f^2./(4*om0^2*a.^2) - mu^2);
om2 = om0 + 3*alpha*a.^2/(8*om0) - sqrt(f^2./(4*om0^2*a.^2) - mu^2);

om3 = om0 + 3*alpha*a.^2/(8*om0);

T1 = 2*pi./om1;
T2 = 2*pi./om2;
T3 = 2*pi./om3;

clf;

axis([0,10,0,2.0]);
hold on;
% plot theoretical curve
plot(T1,a,T2,a,T3,a);
% Now plot data
plot(A(:,1),A(:,2),'o');
hold off;