% ====================================================
%
% SkyMaster_Resonance_Curve.m
% CBP 05-02-22
% Plots collected data on the resonance curve for the
% 'fast' parameters
%
% ====================================================

% Col1 = forcing period
% Col2 = measured amplit

data = [
1.0   0.0681
2.0   0.0249
0.5   0.0050
1.5   0.03488
1.25  0.05517
];



% 'fast' parameters ----------------------
m = 1;
L = 0.2824
g = 9.81
b = 0.1

Fa = input('Input forcing amplitude');
Tfree =  2*pi/sqrt((g/L) - (b/(2*m*L^2))^2)
T = [0:2*Tfree/1000:2*Tfree];

om = (2*pi)./T;
om0 = sqrt(g/L);

c = b/(m*L^2);

A = (Fa/(m*L^2))./sqrt( (om.^2 - g/L).^2 + om.^2*c^2 );

plot(T,A);
hold on
plot(data(:,1),data (:,2),'ro');
hold off

